{% extends 'stm32mp157c-dk2.jinja2' %}
{% set console_device = 'ttyACM0' %}
{% set device_info = [{'board_id': '003B001E3338511634383330'}] %}
{% set power_off_command = '/usr/local/lab-scripts/snmp_pdu_control --hostname lngpdu01 --command off --port 3' %}
{# We use the ethernet controlled relay to emulate the power button press #}
{% set hard_reset_command = '/usr/local/lab-scripts/snmp_pdu_control --hostname lngpdu01 --command reboot --port 3 --delay 20' %}
{% set connection_list = ['uart0'] %}
{% set connection_commands = {'uart0': 'telnet lngmaster 7339'} %}
{% set connection_tags = {'uart0': ['primary', 'telnet']} %}
{% set uboot_set_mac = false %}
{% set power_on_command = '/usr/local/lab-scripts/snmp_pdu_control --hostname lngpdu01 --command on --port 3' %}
{% set flasher_deploy_commands = ['/usr/local/lab-scripts/snmp_pdu_control --hostname lngpdu01 --command off --port 3',
'lsusb',
'/usr/local/lab-scripts/eth008_control -a 172.27.19.27 -r 1 -s on',
'/usr/local/lab-scripts/eth008_control -a 172.27.19.27 -r 2 -s on',
'/usr/local/lab-scripts/snmp_pdu_control --hostname lngpdu01 --command on --port 3 --delay 20',
'sleep 10',
'/usr/local/lab-scripts/stm32mp1_flasher.sh {LAYOUT} {TARBALL}',
'/usr/local/lab-scripts/snmp_pdu_control --hostname lngpdu01 --command off --port 3',
'/usr/local/lab-scripts/eth008_control -a 172.27.19.27 -r 1 -s off',
'/usr/local/lab-scripts/eth008_control -a 172.27.19.27 -r 2 -s off',
'/usr/local/lab-scripts/snmp_pdu_control --hostname lngpdu01 --command on --port 3 --delay 20'] %}

{% set sync_to_lava = {'device_type': 'stm32mp157c-dk2', 'worker': 'lngmaster.lnglab', 'tags': [], 'aliases': []} %}
